org.jboss.resteasy.plugins.interceptors.encoding

## Class GZIPEncodingInterceptor.CommittedGZIPOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.resteasy.util.CommitHeaderOutputStream
    - - org.jboss.resteasy.plugins.interceptors.encoding.GZIPEncodingInterceptor.CommittedGZIPOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable
  Enclosing class:
    GZIPEncodingInterceptor

      public static class GZIPEncodingInterceptor.CommittedGZIPOutputStream
      extends CommitHeaderOutputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.util.CommitHeaderOutputStream

      `CommitHeaderOutputStream.CommitCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GZIPOutputStream` | `gzip`

    - ### Fields inherited from class org.jboss.resteasy.util.CommitHeaderOutputStream

      `delegate, headers, isHeadersCommitted`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GZIPEncodingInterceptor.CommittedGZIPOutputStream(OutputStream delegate, CommitHeaderOutputStream.CommitCallback headers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `GZIPOutputStream` | `getGzip()`

    - ### Methods inherited from class org.jboss.resteasy.util.CommitHeaderOutputStream

      `close, flush, getDelegate, setDelegate, setHeaders, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gzip

          protected GZIPOutputStream gzip

  - ### Constructor Detail

    - #### GZIPEncodingInterceptor.CommittedGZIPOutputStream

          protected GZIPEncodingInterceptor.CommittedGZIPOutputStream(OutputStream delegate,
                                                           CommitHeaderOutputStream.CommitCallback headers)

  - ### Method Detail

    - #### getGzip

          public GZIPOutputStream getGzip()

    - #### commit

          public void commit()

      Overrides:
        `commit` in class `CommitHeaderOutputStream`

Copyright © 2014. All Rights Reserved.